Magick++ 7.1.0

Public Member Functions | List of all members
Magick::waveImage Class Reference

`#include <STL.h>`

## Public Member Functions
| waveImage (const double amplitude_=25.0, const double wavelength_=150.0)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 1206 of file STL.h.

## Constructor & Destructor Documentation

## ◆ waveImage()

Magick::waveImage::waveImage | ( | const double | amplitude_ = `25.0`,
|  | const double | wavelength_ = `150.0`
| ) |  |

Definition at line 1117 of file STL.cpp.

## Member Function Documentation

## ◆ operator()()

void Magick::waveImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1123 of file STL.cpp.

References Magick::Image::wave().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp